# Common
.DS_Store
.idea/
*.iws
*.iml
*.ipr
*.suo
*.ntvs*
*.njsproj
*.sln
*.log
*.swp

# Frontend workspace
/frontend/**/node_modules/
/frontend/**/.eslintcache
/frontend/**/tsconfig.tsbuildinfo
/frontend/**/*.local

# Frontend app
/frontend/app/dist/
/frontend/app/deploy_versions/
/frontend/app/.temp/
/frontend/app/.rn_temp/
/frontend/app/.swc

# Frontend web
/frontend/web/dist/
/frontend/web/dist-ssr/
/frontend/web/report.html
/frontend/web/yarn.lock
/frontend/web/npm-debug.log*
/frontend/web/.pnpm-error.log*
/frontend/web/.pnpm-debug.log
/frontend/web/tests/**/coverage/
/frontend/web/.vscode/launch.json

# Backend build tools
/backend/.gradle/
/backend/build/
!/backend/gradle/wrapper/gradle-wrapper.jar
/backend/**/target/
!/backend/.mvn/wrapper/maven-wrapper.jar

# Backend IDE
/backend/**/.apt_generated
/backend/**/.classpath
/backend/**/.factorypath
/backend/**/.project
/backend/**/.settings/
/backend/**/.springBeans

# Backend JRebel
/backend/**/rebel.xml

# Backend NetBeans
/backend/nbproject/private/
/backend/build/*
/backend/nbbuild/
/backend/dist/
/backend/nbdist/
/backend/.nb-gradle/

# Backend generated files
/backend/**/*.xml.versionsBackup
!/backend/*/build/*.java
!/backend/*/build/*.html
!/backend/*/build/*.xml

# Backend local configuration
/backend/agileboot-admin/src/main/resources/application-prod.yml
